<?php
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$cliente=$sessao->getVar('cliente');
$finalidade=$sessao->getVar('finalidade');
$nomeOperador=$sessao->getVar('nomeuser');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;


switch ($tela):
    case 'DEAS':
      echo"Criando relatorio DEAS. Selecione mes/ano e natureza. PRECISA AVALIAR SE AS AMOSTRAS ESTAO APROVADAS/REPROVADAS<br>";
      echo"Orientação: O Silas avalia as amostras, entretanto precisa acessar a ferramenta: RESULTADOS-->TELA GERAL RESUMO-->AVALIAR AMOSTRAS.<br>";
      $tipoRelatorio="DEAS";
      funcaoTodas($tipoRelatorio);
    break;

    case 'LSES':
      echo"Criando relatorio LSESN. Selecione mes/ano e natureza.";
      $tipoRelatorio="LSES";
      funcaoTodas($tipoRelatorio);
    break;

    case 'LARV':
      echo"Criando relatorio LANAGRO/RS. Selecione mes/ano.";
      $tipoRelatorio="LARV";
      funcaoTodas($tipoRelatorio);
    break;
	
	case 'MAPA2023':
      echo"Criando relatorio CIRCULAR 2/2023. Selecione mes/ano.";
      $tipoRelatorio="MAPA2023";
      funcaoTodas($tipoRelatorio);
    break;
	
	
	

    case 'PERFORMANCE':
      echo"Criando relatorio de PERFORMANCE do laboratório. Selecione mes/ano, depois selecioe se é definitiva ou previas.";
      $tipoRelatorio="PERFORMANCE";
      funcaoTodas($tipoRelatorio);
    break;


    case 'DEDO':
      echo"Criando relatorio Produtores sem RENASEM. Selecione mes/ano.";
      $tipoRelatorio="DEDO";
      funcaoTodas($tipoRelatorio);
    break;
	case 'DEDO2023':
      echo"Criando relatorio Produtores sem RENASEM. Selecione mes/ano.";
      $tipoRelatorio="DEDO2023";
      funcaoTodas($tipoRelatorio);
    break;
	
	
    case 'DEDO22':
      echo"Criando relatorio Produtores sem RENASEM versão2022. Selecione mes/ano.";
      $tipoRelatorio="DEDO22";
      funcaoTodas($tipoRelatorio);
    break;



    case 'DEDO_MES_TUDO':
      echo"Contagem de analises feitas no mes. Selecione mes/ano.";
      $tipoRelatorio="DEDO_MES_TUDO";
      funcaoTodas($tipoRelatorio);
    break;

    case 'DEDO2017':
      echo"Criando relatorio Produtores sem RENASEM. Selecione mes/ano.";
      $tipoRelatorio="DEDO2017";
      funcaoTodas($tipoRelatorio);
    break;


default:
   echo '<p>A tela solicitada não existe.</p>';
break;
endswitch;


//esta funcao vai ser chamada para selecionar mes e outras coisas
function funcaoTodas($tipoRelatorio)
{

	 //echo("esta dentro da funcao tipo=$tipoRelatorio<br>");
	 $sessao = new sessao();
	 $idLabo=$sessao->getVar('idLabo');
	 $cliente=$sessao->getVar('cliente');
	 $finalidade=$sessao->getVar('finalidade');
	 $anoCorrente=$sessao->getVar('anocorrente');
	 $anoAmostra=$anoCorrente;
     $objetocalculo=new calculos();
	 $resgateMes=$objetocalculo->meses();
	 
	 $nomeMes=$_POST["nomeMes"];
	 //$nomeLaso=$_POST["nomeLaso"];

	 $anoAmostra=$_POST["anoAmostra"];
	 
	 if($anoAmostra<1):
	   $anoAmostra=$anoCorrente;
	 endif;
	 
     $mesNumero=$objetocalculo->recuperaMes($nomeMes);
     //echo("mesnumero=$mesNumero<br>");
	 $nomeFuncao=$_POST["nomeFuncao"];
	 //$nomeFuncao="REVALIDAR GERMINAÇÃO";
	 
	 
	 $nomeCategoria=$_POST["nomeCategoria"];
     $tipo=$_POST['tipo'];
	 
		 if(isset($_POST['arquivoExcel'])):
            //echo("atendeu submit <br>");
	        //echo '<iframe src="criarexcel2015.php" style="border:0" width="150%" height="200"></iframe>';	 //funciona  	
			echo '<iframe src="criarexcel2015_2016.php" style="border:0" width="150%" height="350"></iframe>';//funciona			
		 endif;



	 //vai pesquisar se para aquele mes tem amostras desta funcaoTodas
	// $sqlf="SELECT  distinct fic_funcao FROM especies,cultivar,remetente,documentos,ficha,documentosponte where doc_labo=".$idLabo." &&  fic_cultivar=ctv_id and ctv_especie=esp_id and fic_produtor=prd_id and doc_tipo='Boletim' and dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoAmostra."' and  MONTH(doc_data)='".$mesNumero."' order by prd_uf,fic_safra,esp_nome_cientifico,ctv_nome";
//echo(" linha1074 estagio=$estagio sql=$sqlf <br>");;

    if($tipoRelatorio!='PERFORMANCE'):
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="especies,cultivar,remetente,documentos,ficha,documentosponte";
		$generica->campos_valores = array(
				" fic_funcao" => NULL,
			);
		$generica->extras_select =" where   doc_labo=".$idLabo." &&  fic_cultivar=ctv_id and ctv_especie=esp_id and fic_produtor=prd_id and doc_tipo='Boletim' and dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoAmostra."' and  MONTH(doc_data)='".$mesNumero."' order by prd_uf,fic_safra,esp_nome_cientifico,ctv_nome";
		//echo("gggggggenericaextraselect=$generica->extras_select<br>");
	    $generica->selecionaCampos($generica);
		$contador=0;
		while ($resgenerica = $generica->retornaDados()):
		     $contador++;
			 $resgateFuncao[$contador]=$resgenerica->fic_funcao;
	    endwhile;
     else: //se for performance
	   if($nomeMes!=""):
    	$resgateFuncao[1]="PREVIA";
    	$resgateFuncao[2]="DEFINITIVA";
	   endif;	
     endif; 
	 //$resgateFuncao= captura_registros_generico1($sqlf,"fic_funcao");
	 
     //echo("<br>tttttttttipo=$tipo<br>");	 

  	    // $sqlc="SELECT  distinct fic_categoria FROM especies,cultivar,remetente,documentos,ficha,documentosponte where    doc_labo=".$idLabo." &&  fic_funcao='".$nomeFuncao."' && fic_cultivar=ctv_id and ctv_especie=esp_id and fic_produtor=prd_id and doc_tipo='Boletim' and dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoAmostra."' and  MONTH(doc_data)='".$mesNumero."' order by prd_uf,fic_safra,esp_nome_cientifico,ctv_nome";
   	    //echo("sssssssssssssssssssssqlc= $sqlc<br>");
	    //$resgateCategoria= captura_registros_generico1($sqlc,"fic_categoria");
	    //ENTRA DE QUAKQUER MANEIRA
 	 	$generica=new tabelagenerica();
		$generica->tabela="especies,cultivar,remetente,documentos,ficha,documentosponte";
		$generica->campos_valores = array(
				" fic_categoria" => NULL,
			);

		//$generica->extras_select =" where    doc_labo=".$idLabo." &&  fic_funcao='".$nomeFuncao."' && fic_cultivar=ctv_id and ctv_especie=esp_id and fic_produtor=prd_id and doc_tipo='Boletim' and dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoAmostra."' and  MONTH(doc_data)='".$mesNumero."' order by prd_uf,fic_safra,esp_nome_cientifico,ctv_nome";

		$generica->extras_select =" where    doc_labo=".$idLabo." && fic_cultivar=ctv_id and ctv_especie=esp_id and fic_produtor=prd_id and doc_tipo='Boletim' and dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoAmostra."' and  MONTH(doc_data)='".$mesNumero."' order by prd_uf,fic_safra,esp_nome_cientifico,ctv_nome";
       

		//echo("gggggggenericaextraselect=$generica->extras_select<br>");
	    $generica->selecionaCampos($generica);
		$contador=0;
		while ($resgenerica = $generica->retornaDados()):
		     $contador++;
			 $resgateCategoria[$contador]=$resgenerica->fic_categoria;
	    endwhile;


if($tipo==9):
    //echo("<br>oque esta fazendo $tipo<br>") ;
    $nomeFuncao="";
    $nomeCategoria='';
	if($tipoRelatorio=="LARV"):
	    $sessao->setVar('controle',$mesNumero);
		////////////////////////////////////////
		$sqlSeletor="select distinct fic_id,esp_nome,esp_tipo,doc_tipo from ficha,cultivar,especies,documentos,documentosponte  where fic_labo=".$idLabo." and dpo_amostra_vinculada=fic_id && dpo_documento_autonumerador=doc_id &&  year(doc_data)='".$anoCorrente."'  and MONTH(doc_data)='".$mesNumero."' and fic_cultivar=ctv_id && ctv_especie=esp_id ";	
	    //ENTRA DE QUAKQUER MANEIRA
		$generica=new tabelagenerica();
		$generica->extras_select =$sqlSeletor;
		$generica->selecionaCamposEspecial($generica);

		$contador=0;
		$contaRegistros=0;
		while ($res = $generica->retornaDados()):
		    $linha=0;
		    $contaRegistros++;
		    //captura os dados do registro
		    $amostraLong=$res->fic_id;
		    $nomeComum=trim($res->esp_nome);
		    $tipo=trim($res->esp_tipo);
			$tipoDocumento=$res->doc_tipo;
			    //define a linha  que pertence
		if($nomeComum=='ARROZ')$linha=1;
	    //se ele achar aveia nas primeiras 5 letras e nao for aveia preta joga na linha2 EXEMPLO AVEIA AMARELA  AVEIA BRANCA oi simplesmente AVEIA
	    if(substr($nomeComum,0,5)=="AVEIA"  && $nomeComum!="AVEIA PRETA")$linha=2;
	 	if($nomeComum=='AVEIA PRETA')$linha=3;
		if($nomeComum=='CENTEIO')$linha=4;
		if($nomeComum=='CEVADA')$linha=5;
		if($nomeComum=='CANOLA')$linha=6;
		if($nomeComum=='FEIJÃO')$linha=7;
		if(substr($nomeComum,0,4)=='AZEV')$linha=9;
		if($nomeComum=='ALFAFA')$linha=10;
		if($nomeComum=='CORNICHÃO')$linha=11;
		if($nomeComum=='ERVILHACA')$linha=12;
		if($nomeComum=='MILHETO')$linha=13;
		if($nomeComum=='TREVO BRANCO')$linha=14;
		if($nomeComum=='TREVO VERMELHO')$linha=15;
		if($nomeComum=='GIRASSOL')$linha=18;
		if($nomeComum=='MILHO')$linha=20;
		if($nomeComum=='SOJA')$linha=24;
		if($nomeComum=='SORGO')$linha=25;
		if($nomeComum=='TRIGO')$linha=26;
		if($nomeComum=='TRIGO DURO')$linha=27;
		if($nomeComum=='TRITICALE')$linha=28;
	    //pesquisar os grupos da ras pois o grupo da in é diferente(ras tem medicinal,florestal e nao in so tem 2 grupos)
	    if($linha==0):
	    	if($tipo=='FO-FORRAGEIRA')$linha=16;
	    endif;
		
		//se nao achou enquadramento algum entao joga em OUTRAS
	    if($linha==0):
	    	$linha=23;
	    endif;
	    endwhile; 
		echo("registroscom ifes=$contaRegistros<br>");
       echo '<iframe src="imprimeLarv.php" style="border:0" width="100%" height="350"></iframe>';//funciona  
	endif;//testa se é larv pois se é larv so seleciona o mes e ja dispara	

	if($tipoRelatorio=="DEDO"):
       $sessao->setVar('controle',$mesNumero);
       echo '<iframe src="imprimeDedo.php" style="border:0" width="100%" height="350"></iframe>';//funciona  
	endif;//testa se é DEDO  pois se é larv so seleciona o mes e ja dispara	

	if($tipoRelatorio=="DEDO2023"):
       $sessao->setVar('controle',$mesNumero);
       echo '<iframe src="imprimeProdSemRENASEM2023.php" style="border:0" width="100%" height="350"></iframe>';//funciona  
	endif;//testa se é DEDO  pois se é larv so seleciona o mes e ja dispara	




	if($tipoRelatorio=="MAPA2023"):
       $sessao->setVar('controle',$mesNumero);
	   $nomeLaso=$_POST["nomeLaso"];
	   $sessao->setVar('controle3',$nomeLaso);

	   $nomeEspecie=$_POST["nomeEspecie"];
	   $sessao->setVar('controle4',$nomeEspecie);
	   echo("235entrou aqui nomeLaso=$nomeLaso<br>");
       if(strlen($nomeEspecie)>2):
	      echo '<iframe src="imprimeMAPA2023SaoTome.php" style="border:0" width="100%" height="350"></iframe>';//funciona   
	   else:
          echo '<iframe src="imprimeMAPA2023.php" style="border:0" width="100%" height="350"></iframe>';//funciona  
       endif;

	endif;//testa se é DEDO  pois se é larv so seleciona o mes e ja dispara	






	if($tipoRelatorio=="DEDO22"):
       $sessao->setVar('controle',$mesNumero);
       echo '<iframe src="imprimeProdSemRenasem22.php" style="border:0" width="100%" height="350"></iframe>';//funciona  
	endif;//testa se é DEDO  pois se é larv so seleciona o mes e ja dispara	



	if($tipoRelatorio=="DEDO_MES_TUDO"):
       $sessao->setVar('controle',$mesNumero);
       echo '<iframe src="analisesMES.php" style="border:0" width="100%" height="350"></iframe>';//funciona  
	endif;//testa se é DEDO_MES_TUDO pois se é larv so seleciona o mes e ja dispara	
	if($tipoRelatorio=="DEDO2017"):
       $sessao->setVar('controle',$mesNumero);
       echo '<iframe src="imprimeDedo2017.php" style="border:0" width="100%" height="350"></iframe>';//funciona  
	endif;//testa se é DEDO2017 pois se é larv so seleciona o mes e ja dispara	
   	if($tipoRelatorio=="PERFORMANCE"):
       $sessao->setVar('controle',$mesNumero);
	endif;//testa se é DEDO2017 pois se é larv so seleciona o mes e ja dispara	

endif;//teste se clicou no mes





if($tipo==10):
    //echo("<br>oque esta fazendo $tipo<br>") ;
    $nomeCategoria='';
    //echo("disparando cliente $cliente <br>");
    if($cliente=='QUALITESTExxxxxxxx'):
        echo "ACHOU QUALITESTE<br>"; 
		$nomeCategoria='TODAS';	
	    $composto=$mesNumero."*".$anoAmostra."*".$nomeFuncao."*".$nomeCategoria."*".$tipoRelatorio."*";
	    //echo "disparador geral";
		$sessao->setVar('controle',$composto);
	    //$oto=$sessao->getVar('controle');
		if(isset($_POST['listarAmo'])):
		   echo '<iframe src="imprimeListaAmoDeasLsesn.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
		else:
		   //echo("ooooooodentrodorelatoriosmapa $oto<br>");
		   if($tipoRelatorio=='DEAS')echo '<iframe src="imprimeDeas2018QUALI.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
		   //if($tipoRelatorio=='LSES')echo '<iframe src="imprimeLses2014.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
	    endif;
	
	endif;
 
    if($tipoRelatorio=='PERFORMANCE'):
	   $imprimeAmostras='NAO';
       if(isset($_POST['listarAmo']))$imprimeAmostras='SIM';	
	   $composto=$mesNumero."*".$anoAmostra."*".$nomeFuncao."*".$imprimeAmostras."*";
  	   $sessao->setVar('controle',$composto);
       echo '<iframe src="imprimePerformance.php" style="border:0" width="100%" height="350"></iframe>';//funciona  
    endif;

endif;

if($tipo==11 || $tipo==12):
    $composto=$mesNumero."*".$anoAmostra."*".$nomeFuncao."*".$nomeCategoria."*".$tipoRelatorio."*";
	$data=$_POST['data'];
	$observacao=$_POST['observacao'];
	//$sessao = new sessao();
	$sessao->setVar('controle1',$data);
	$sessao->setVar('controle2',$observacao);
	$saoTome=$sessao->getVar("controle2");
	//echo("sao tome=$saoTome<br>");
	
    //echo "disparador geral";
	$sessao->setVar('controle',$composto);
    $oto=$sessao->getVar('controle');
	if(isset($_POST['listarAmo'])):
	   echo '<iframe src="imprimeListaAmoDeasLsesn.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
	else:
	   //echo("ooooooodentrodorelatoriosmapa $oto<br>");
	   if($tipoRelatorio=='DEAS')echo '<iframe src="imprimeDeas2014.php" style="border:0" width="100%" height="350"></iframe>';	 //funciona  
	   if($tipoRelatorio=='LSES')echo '<iframe src="imprimeLses2014.php" style="border:0" width="150%" height="350"></iframe>';	 //funciona  
    endif;
endif;

	 
	 
	 
	 
	?>

    <body background="Imagens/fundoazuldegradecentral1.jpg">
   <form id="formAmostra"  name="formAmostra" method="post" >
	
	
   <h2 align="center"><?php echo($cabecalho)?></h2>
   <form id="formAmostra"  name="formAmostra" method="post" >
   <input type = "hidden"  name="tipo"        size="5"   value="0" />
   <input type = "hidden"  name="firstName"   size="5"   value="INICIADO">
   <input type = "hidden"  name="estagio"   size="5"   value="<?php echo($idUsuario)?>">
   <input type = "hidden"  name="secondName"  size="5"   value="0">
   <input type = "hidden"  name="idUsuario"   value=<?php echo($idUsuario)?>>
   <input type = "hidden"  name="tipoRelatorio"   value=<?php echo($tipoRelatorio)?>>
   <input type = "hidden"  name="composto" size="50"  value=<?php echo($composto)?>>
   <h4 align="center">Ano:<input type = "text"  name="anoAmostra"  size="4"  value=<?php echo($anoAmostra)?>></h4>
   <input type="button"    name="b_editar"    id="b_editar"    value="Imprime sem dados"  onclick="ClikButton(12)"/>
   Data:<input type = "text"  name="data"   size="8"   value="">
   Observação: <input type = "text"  name="observacao"   size="50"   value="">
   
   <table align= "center"  width="700" bgcolor="#909090" cellspacing=1 cellpadinng=0  border=1 >
   <tr>
   <td>
				Mes:
					<select name="nomeComboMes"  multiple  onchange="ClikButton(9)">  
					<?php
					foreach($resgateMes aS $vlr)
					{
					  if($vlr!="")
					  {
						  ?>
						  <option><?php echo $vlr?></option>
						  <?php
					  }
					}
					?>
				</select>
			 </td>		   

			 <td>Funcao
					<select name="nomeComboFuncao"  multiple  onchange="ClikButton(10)">  
					<?php
					foreach($resgateFuncao aS $vlr)
					{
					  if($vlr!="")
					  {
						  ?>
						  <option><?php echo $vlr?></option>
						  <?php
					  }
					}
					?>
				   
				</select>
				</td>		   

			 		<td>Categoria
					<select name="nomeComboCategoria"  multiple  onchange="ClikButton(11)">  
					<?php
					foreach($resgateCategoria aS $vlr)
					{
					  if($vlr!="")
					  {
						  ?>
						  <option><?php echo $vlr?></option>
						  <?php
					  }
					}
					?>
				   
				</select>
			 </td>		   

			 
		 </tr> 
	 <tr>
	 <?php
	
	   ?>
		<!--	<input type="text"  name="letrinhasRequerente" size="10" value="" /> -->
	 <td><input type = "text"   name="nomeMes"        value="<?php echo $nomeMes;?>"        />       </td>
	 <td><input type = "text"   name="nomeFuncao"     value="<?php echo $nomeFuncao;?>"      />    </td>
	 <td><input type = "text"   name="nomeCategoria"  value="<?php echo $nomeCategoria;?>"  /> </td>
	 <td>Listar amostras <input type="checkbox"    name="listarAmo" /> </td>
     </tr>
	 
	 <tr>
	 <td>LASO<input type = "text" size="50"  name="nomeLaso"        value="<?php echo $nomeLaso;?>"/></td> 
	 <td>Pesquisar especie:<input type = "text" size="50"  name="nomeEspecie"        value="<?php echo $nomeEspecie;?>"/></td> 
     </tr>
	 
	 <tr><td>
	 		<input type="submit" name="arquivoExcel" value="Exportar para Excell" />
	 </td></tr>
	 
	 
   </table>

</form>
     <!----------------------------AQUI MOSTRA A TABELA############################################-->
	 
	 


	
	<?php
	
	
}//FECHA FUNCAO





?>
	
       <script>
       function  ClikButton(e)
       {
           document.formAmostra.tipo.value = e;
           //alert(document.formAmostra.tipo.value)
/////////////////////comando do combo da natureza//////////////////////////////
           if(e==9) //mes
           {
             document.formAmostra.nomeMes.value=document.formAmostra.nomeComboMes.options[document.formAmostra.nomeComboMes.selectedIndex].text;
             document.formAmostra.submit();
           }
           if(e==10) //funcao
           {
             document.formAmostra.nomeFuncao.value=document.formAmostra.nomeComboFuncao.options[document.formAmostra.nomeComboFuncao.selectedIndex].text;
             document.formAmostra.submit();
           }
           if(e==11) //categoria
           {
             document.formAmostra.nomeCategoria.value=document.formAmostra.nomeComboCategoria.options[document.formAmostra.nomeComboCategoria.selectedIndex].text;
             document.formAmostra.submit();
           }
           if(e==12) //em branco
           {
             document.formAmostra.submit();
           }

       }
	   

       </script>
	
	
	

	
	